package fip.controle.message;

import java.io.IOException;

import fip.model.ForumFacade;
import fip.services.ForumHelper;
import jakarta.servlet.ServletException;
import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;


@WebServlet("/message")
public class ListeMessagesServlet extends HttpServlet{
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        ForumFacade f= ForumHelper.getForum(req);
        req.setAttribute("messages", f.getMessageList());
        req.getRequestDispatcher("/WEB-INF/jsp/message/list.jsp").forward(req, resp);
    }
    
}