package fip.controle.message;

import fip.model.Message;

/**
 * Données d'un formulaire d'édition de message.
 */
public class MessageEditForm {
    Integer id;
    private String title;
    private String text;

    public MessageEditForm(Message message) {
        this.id = message.getId();
        this.title = message.getTitle();
        this.text = message.getText();
    }

    public MessageEditForm() {
        id = 0;
        title = "";
        text = "";
    }

    public MessageEditForm(Integer id, String title, String text) {
        this.id = id;
        this.title = title;
        this.text = text;
    }

    public Integer getId() {
        return id;
    }
    
    public String getTitle() {
        return title;
    }

    public String getText() {
        return text;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public void setText(String text) {
        this.text = text;
    }

    public void setTitle(String title) {
        this.title = title;
    }
}